## Index

### Classes

- DefaultKeyDeserializer
- KeyDeserializer

### Variables

- defaultKeyDeserializer
- keyDeserializers

### Functions

- deserializeFromJson
- registerKeyDeserializer

## Variables

### Const defaultKeyDeserializer

defaultKeyDeserializer: DefaultKeyDeserializer = new DefaultKeyDeserializer()

- Defined in crypto/PrivateKeyFactory.ts:55

### Const keyDeserializers

keyDeserializers: KeyDeserializer[] = []

- Defined in crypto/PrivateKeyFactory.ts:54

Registered key deserializers

## Functions

### deserializeFromJson

- deserializeFromJson(json: JsonKey): PrivateKey

- - Defined in crypto/PrivateKeyFactory.ts:72

  Creates PrivateKey from Json representation.

  #### Parameters

  - ##### json: JsonKey

    Json private key representation

  #### Returns PrivateKey

### registerKeyDeserializer

- registerKeyDeserializer(deserializer: KeyDeserializer): void

- - Defined in crypto/PrivateKeyFactory.ts:62

  Registers new external deserializer for private keys.

  #### Parameters

  - ##### deserializer: KeyDeserializer

    Deserializer instance

  #### Returns void

Generated using TypeDoc